from microbit import *
import random

DELAY = 20
FRAMES_PER_PIPE_MOVE= 20
FRAMES_PER_NEW_PIPE = 100

# display.scroll("3...2...1...GO!",75)

y = 50
speed = 0
frame = 0
score = 0

def make_pipe():
    pipe = Image("00003:00003:00003:00003:00003")
    gap = random.randint(0,3)
    pipe.set_pixel(4, gap, 0)
    pipe.set_pixel(4, gap+1, 0)
    return pipe
    
pipe = make_pipe()

while True:
    frame += 1
    
    display.show(pipe)
    
    # szarnycsapas a gombra
    if button_a.was_pressed():
        speed = -8
    
    # gravitacio
    speed += 1
    if speed > 2:
        speed = 2
        
    # madar mozgatasa, de maradjon a kijelzon
    y += speed
    if y > 99:
        y = 99
    if y < 0:
        y = 0
        
    # madar kirajzolasa
    led_y = int(y / 20)
    display.set_pixel(1, led_y, 9)
    
    # utkozes vizsgalata
    if pipe.get_pixel(1, led_y) != 0:
        display.show(Image.SAD)
        sleep(500)
        display.scroll(score)
        break
    
    # cso mozgatasa balra
    if (frame % FRAMES_PER_PIPE_MOVE == 0):
        pipe = pipe.shift_left(1)
    
    # uj cso letrehozasa
    if (frame % FRAMES_PER_NEW_PIPE == 0):
        pipe = make_pipe()
        score += 1
    
    sleep(20)