from microbit import *
import radio

dot = Image("00000:09990:09990:09990:00000")
dash = Image("00000:00000:09990:00000:00000")
nextWord = Image("00900:00090:99999:00090:00900")
over = Image("90009:09090:00900:09090:90009")

radio.on()

while True:
    if (button_a.was_pressed()):
        display.show(dot)
        radio.send("dot")
        sleep(100)
        display.clear()
    if (button_b.was_pressed()):
        display.show(dash)
        radio.send("dash")
        sleep(200)
        display.clear()
    if (accelerometer.was_gesture("shake")):
        display.show(nextWord)
        radio.send("nextWord")
        sleep(1000)
        display.clear()
    if (accelerometer.current_gesture() == "up"):
        display.show(over)
        radio.send("over")
        sleep(500)
        display.clear()
        
    incoming = radio.receive()
        
    if (incoming == "dot"):
        display.show(dot)
        sleep(100)
        display.clear()
    elif (incoming == "dash"):
        display.show(dash)
        sleep(200)
        display.clear()
    elif (incoming == "nextWord"):
        display.show(nextWord)
        sleep(1000)
        display.clear()
    elif (incoming == "over"):
        display.show(over)
        sleep(500)
        display.clear()